/* -*- c++ -*- */
#ifndef ALL_TEST_H__
#define ALL_TEST_H__

#include <string>
#include <akaxiso/content_model.h>

struct params {
  params() : three_(reinterpret_cast<std::string*>(1)) {
  }
  std::string one_;
  std::string two_;
  std::string *three_;
}; 

namespace xiso {
  template<>
  struct leaf<params> : public aka::all<params> {
    void model() {
      member("one", &params::one_);
      member("two", &params::two_);
      ptrmember("three", &params::three_).required(false);
    }
  };
}

#endif
